Package org.apache.tapestry5.services.transform

## Interface ComponentClassTransformWorker2

- All Known Implementing Classes:
    `ActivationRequestParameterWorker`, `ApplicationStateWorker`, `BindParameterWorker`, `CachedWorker`, `CommitAfterWorker`, `CommitAfterWorker`, `ComponentWorker`, `DiscardAfterWorker`, `EnvironmentalWorker`, `HeartbeatDeferredWorker`, `ImportWorker`, `InjectComponentWorker`, `InjectContainerWorker`, `InjectPageWorker`, `InjectServiceWorker`, `InjectWorker`, `LogWorker`, `MetaWorkerImpl`, `MixinAfterWorker`, `MixinWorker`, `OnEventWorker`, `OperationWorker`, `PageActivationContextWorker`, `PageLifecycleAnnotationWorker`, `PageResetAnnotationWorker`, `ParameterWorker`, `PersistenceContextWorker`, `PersistWorker`, `PropertyWorker`, `RenderCommandWorker`, `RenderPhaseMethodWorker`, `RetainWorker`, `SessionAttributeWorker`, `SupportsInformalParametersWorker`, `UnclaimedFieldWorker`

      @UsesOrderedConfiguration(ComponentClassTransformWorker2.class)
      public interface ComponentClassTransformWorker2

  Interface for a set of objects that can perform transformation of component classes. Implementations should be thread safe and ideally stateless (all necessary state can be stored inside the `PlasticClass`). The ComponentClassTransformWorker service uses an ordered configuration of these works as a chain of command.
  Since:
    5.3
  See Also:
    `PlasticClass`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `transform​(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` | Invoked to perform part of the transformation of the `PlasticClass`.

- - ### Method Detail

    - #### transform

          void transform​(PlasticClass plasticClass,
                         TransformationSupport support,
                         MutableComponentModel model)

      Invoked to perform part of the transformation of the `PlasticClass`.
      Parameters:
        `plasticClass` - component class being transformed
        `support` - additional utilities needed during the transformation
        `model` - the model for the component being transformed